export declare const PUZZLE_TIMESTAMP_OFFSET = 0;
export declare const ACCOUNT_ID_OFFSET = 4;
export declare const APP_ID_OFFSET = 8;
export declare const PUZZLE_VERSION_OFFSET = 12;
export declare const PUZZLE_EXPIRY_OFFSET = 13;
export declare const NUMBER_OF_PUZZLES_OFFSET = 14;
export declare const PUZZLE_DIFFICULTY_OFFSET = 15;
/**
 * Generates a puzzle for FriendlyCaptcha.
 */
export declare function generatePuzzleBuffer(opts: {
    nowInSeconds?: u32;
    accountId: u32;
    appId: u32;
    numberOfPuzzles: u8;
    puzzleExpiry: u8;
    puzzleDifficulty: u8;
    eightByteNonce: Uint8Array;
    userDataBuffer?: Uint8Array;
}): Uint8Array;
export declare function getPuzzleSolverInputs(puzzleBuffer: Uint8Array, numPuzzles: number): Uint8Array[];
/**
 * Combine multiple solutions (8 byte values) into a single array
 * @param solutions
 */
export declare function combineSolutions(solutions: Uint8Array[]): Uint8Array;
/**
 * Time in seconds the puzzle is valid for.
 * @param puzzleBuffer
 */
export declare function getPuzzleTTL(puzzleBuffer: Uint8Array): number;
